For the complete documentation index, see llms.txt. This page is also available as Markdown.

Conversation Messages

Lists all messages for a conversation

get

Required Permission: chatbots.messages.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The ID of the conversation.

Responses
200

A list of all messages in the conversation.

application/json
errorstringOptional

Optional error message.

get/v1/chatbots/{chatbotId}/conversations/{conversationId}/messages
GET /v1/chatbots/{chatbotId}/conversations/{conversationId}/messages HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "messages": [
    {
      "id": "msg_abc123xyz",
      "sender": "bot",
      "type": "text",
      "persona": {
        "image": "https://storage.example.com/avatars/support.png",
        "name": "Support Bot"
      },
      "providerMessageId": "wamid.HBgNNDkxNTEyNjAyNTQ1Ng==",
      "status": "delivered",
      "created": "2025-10-06T12:00:00Z",
      "processed": "2025-10-06T12:00:01Z",
      "sent": "2025-10-06T12:00:02Z",
      "received": "2025-10-06T12:00:03Z",
      "read": "2025-10-06T12:00:10Z",
      "outgoing": true,
      "messengerId": "messenger_abc123",
      "contextId": "ctx_xyz789",
      "content": {
        "text": "text",
        "file": {
          "name": "text",
          "url": "text",
          "type": "text",
          "mimeType": "text",
          "size": 1,
          "attachmentRef": "text",
          "caption": "text",
          "transcript": "text"
        },
        "buttons": {
          "buttons": [
            {
              "label": "text",
              "type": "text",
              "value": "text",
              "payload": "text"
            }
          ]
        },
        "selectedButton": {
          "label": "text",
          "value": "text",
          "payload": "text",
          "type": "text",
          "reference": "text"
        },
        "template": {
          "body": "text",
          "header": "text",
          "footer": "text"
        },
        "contact": {
          "addresses": [
            {
              "city": "text",
              "country": "text",
              "countryCode": "text",
              "street": "text",
              "type": "text",
              "zip": "text"
            }
          ],
          "emails": [
            {
              "email": "name@gmail.com",
              "type": "text"
            }
          ],
          "name": {
            "firstName": "text",
            "formattedName": "text",
            "lastName": "text"
          },
          "org": {
            "company": "text",
            "title": "text"
          },
          "phones": [
            {
              "phone": "text",
              "type": "text",
              "waId": "text"
            }
          ]
        },
        "location": {
          "latitude": 1,
          "longitude": 1
        },
        "note": {
          "text": "text",
          "mentions": [
            "text"
          ]
        },
        "voiceHangup": {
          "reason": "text",
          "headers": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "voiceTransfer": {
          "target": "text",
          "reason": "text",
          "headers": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "agentHandover": {
          "reason": "text",
          "timeoutSeconds": 1,
          "agentId": "text",
          "groupId": "text",
          "assignmentMethod": "text"
        },
        "email": {
          "subject": "text",
          "body": "text",
          "from": "text",
          "to": [
            "text"
          ],
          "cc": [
            "text"
          ],
          "bcc": [
            "text"
          ],
          "attachmentIds": [
            "text"
          ],
          "references": [
            "text"
          ],
          "attachments": [
            {
              "id": "att_123",
              "name": "invoice.pdf",
              "created": "2024-01-01T00:00:00Z",
              "updated": "2024-01-01T00:00:00Z",
              "size": 102400,
              "contentType": "application/pdf",
              "selfLink": "bucketId-objectId/filename.filetype",
              "metadata": {
                "source": "email"
              }
            }
          ]
        },
        "transcription": {
          "text": "text",
          "language": "text",
          "audioRef": "text"
        },
        "textToSpeech": {
          "text": "text",
          "speech": "text"
        },
        "reaction": {
          "reactionToMid": "text",
          "action": "text",
          "reaction": "text",
          "emoji": "text"
        },
        "callSettings": {
          "userInputSpeechDetectionTimeout": 1,
          "dtmf": true,
          "bargeIn": true
        },
        "metaWhatsappTemplate": {
          "templateName": "order_shipped_notification",
          "language": "DE",
          "bodyText": "Your order {{1}} has been shipped.",
          "headerText": "text",
          "footerText": "text",
          "header": {
            "file": {
              "name": "header_image.png",
              "url": "https://storage.example.com/files/header.png",
              "type": "image",
              "mimeType": "image/png",
              "size": 51200,
              "attachmentRef": "att_header123"
            },
            "parameters": [
              "Order #12345"
            ]
          },
          "bodyParameters": [
            "#12345"
          ],
          "buttons": [
            {
              "label": "Track Order",
              "type": "URL",
              "url": "https://example.com/track/{{1}}",
              "value": "track_order"
            }
          ]
        },
        "operator": {
          "operatorId": "op_abc123xyz"
        },
        "delay": 1,
        "leadAiId": "text"
      },
      "tags": [
        "important",
        "follow-up"
      ],
      "error": "text",
      "isSensitive": false,
      "streamGroupId": "stream_abc123",
      "delay": 1000
    }
  ],
  "error": "text"
}

Creates a new message in a conversation

post

Required Permission: chatbots.messages.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The ID of the conversation.

Body
disableSendingbooleanRequired

Whether to skip sending the message to the channel.

Example: false
Responses
201Success
application/json
errorstringOptional

Optional error message.

post/v1/chatbots/{chatbotId}/conversations/{conversationId}/messages
POST /v1/chatbots/{chatbotId}/conversations/{conversationId}/messages HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 2949

{
  "disableSending": false,
  "message": {
    "content": {
      "text": "text",
      "file": {
        "name": "text",
        "url": "text",
        "type": "text",
        "mimeType": "text",
        "size": 1,
        "attachmentRef": "text",
        "caption": "text",
        "transcript": "text"
      },
      "buttons": {
        "buttons": [
          {
            "label": "text",
            "type": "text",
            "value": "text",
            "payload": "text"
          }
        ]
      },
      "selectedButton": {
        "label": "text",
        "value": "text",
        "payload": "text",
        "type": "text",
        "reference": "text"
      },
      "template": {
        "body": "text",
        "header": "text",
        "footer": "text"
      },
      "contact": {
        "addresses": [
          {
            "city": "text",
            "country": "text",
            "countryCode": "text",
            "street": "text",
            "type": "text",
            "zip": "text"
          }
        ],
        "emails": [
          {
            "email": "name@gmail.com",
            "type": "text"
          }
        ],
        "name": {
          "firstName": "text",
          "formattedName": "text",
          "lastName": "text"
        },
        "org": {
          "company": "text",
          "title": "text"
        },
        "phones": [
          {
            "phone": "text",
            "type": "text",
            "waId": "text"
          }
        ]
      },
      "location": {
        "latitude": 1,
        "longitude": 1
      },
      "note": {
        "text": "text",
        "mentions": [
          "text"
        ]
      },
      "voiceHangup": {
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "voiceTransfer": {
        "target": "text",
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "agentHandover": {
        "reason": "text",
        "timeoutSeconds": 1,
        "agentId": "text",
        "groupId": "text",
        "assignmentMethod": "text"
      },
      "email": {
        "subject": "text",
        "body": "text",
        "from": "text",
        "to": [
          "text"
        ],
        "cc": [
          "text"
        ],
        "bcc": [
          "text"
        ],
        "attachmentIds": [
          "text"
        ],
        "references": [
          "text"
        ],
        "attachments": [
          {
            "id": "att_123",
            "name": "invoice.pdf",
            "created": "2024-01-01T00:00:00Z",
            "updated": "2024-01-01T00:00:00Z",
            "size": 102400,
            "contentType": "application/pdf",
            "selfLink": "bucketId-objectId/filename.filetype",
            "metadata": {
              "source": "email"
            }
          }
        ]
      },
      "transcription": {
        "text": "text",
        "language": "text",
        "audioRef": "text"
      },
      "textToSpeech": {
        "text": "text",
        "speech": "text"
      },
      "reaction": {
        "reactionToMid": "text",
        "action": "text",
        "reaction": "text",
        "emoji": "text"
      },
      "callSettings": {
        "userInputSpeechDetectionTimeout": 1,
        "dtmf": true,
        "bargeIn": true
      },
      "metaWhatsappTemplate": {
        "templateName": "order_shipped_notification",
        "language": "DE",
        "bodyText": "Your order {{1}} has been shipped.",
        "headerText": "text",
        "footerText": "text",
        "header": {
          "file": {
            "name": "header_image.png",
            "url": "https://storage.example.com/files/header.png",
            "type": "image",
            "mimeType": "image/png",
            "size": 51200,
            "attachmentRef": "att_header123"
          },
          "parameters": [
            "Order #12345"
          ]
        },
        "bodyParameters": [
          "#12345"
        ],
        "buttons": [
          {
            "label": "Track Order",
            "type": "URL",
            "url": "https://example.com/track/{{1}}",
            "value": "track_order"
          }
        ]
      },
      "operator": {
        "operatorId": "op_abc123xyz"
      },
      "delay": 1,
      "leadAiId": "text"
    },
    "sender": "agent",
    "type": "text",
    "persona": {
      "image": "https://storage.example.com/avatars/support.png",
      "name": "Support Bot"
    },
    "providerMessageId": "wamid.abc123xyz",
    "status": "sent",
    "created": "2025-10-05T10:10:00Z",
    "processed": "2025-10-05T10:10:01Z",
    "sent": "2025-10-05T10:10:02Z",
    "received": "2025-10-05T10:10:03Z",
    "read": "2025-10-05T10:11:00Z",
    "outgoing": false,
    "contextId": "ctx_abc123",
    "messengerId": "fb_msg_123",
    "author": "op_john_doe",
    "error": "text",
    "isSensitive": false,
    "leadAiId": "lai_xyz789",
    "streamGroupId": "stream_abc123",
    "delay": 1000
  }
}
{
  "message": {
    "id": "msg_abc123xyz",
    "sender": "bot",
    "type": "text",
    "persona": {
      "image": "https://storage.example.com/avatars/support.png",
      "name": "Support Bot"
    },
    "providerMessageId": "wamid.HBgNNDkxNTEyNjAyNTQ1Ng==",
    "status": "delivered",
    "created": "2025-10-06T12:00:00Z",
    "processed": "2025-10-06T12:00:01Z",
    "sent": "2025-10-06T12:00:02Z",
    "received": "2025-10-06T12:00:03Z",
    "read": "2025-10-06T12:00:10Z",
    "outgoing": true,
    "messengerId": "messenger_abc123",
    "contextId": "ctx_xyz789",
    "content": {
      "text": "text",
      "file": {
        "name": "text",
        "url": "text",
        "type": "text",
        "mimeType": "text",
        "size": 1,
        "attachmentRef": "text",
        "caption": "text",
        "transcript": "text"
      },
      "buttons": {
        "buttons": [
          {
            "label": "text",
            "type": "text",
            "value": "text",
            "payload": "text"
          }
        ]
      },
      "selectedButton": {
        "label": "text",
        "value": "text",
        "payload": "text",
        "type": "text",
        "reference": "text"
      },
      "template": {
        "body": "text",
        "header": "text",
        "footer": "text"
      },
      "contact": {
        "addresses": [
          {
            "city": "text",
            "country": "text",
            "countryCode": "text",
            "street": "text",
            "type": "text",
            "zip": "text"
          }
        ],
        "emails": [
          {
            "email": "name@gmail.com",
            "type": "text"
          }
        ],
        "name": {
          "firstName": "text",
          "formattedName": "text",
          "lastName": "text"
        },
        "org": {
          "company": "text",
          "title": "text"
        },
        "phones": [
          {
            "phone": "text",
            "type": "text",
            "waId": "text"
          }
        ]
      },
      "location": {
        "latitude": 1,
        "longitude": 1
      },
      "note": {
        "text": "text",
        "mentions": [
          "text"
        ]
      },
      "voiceHangup": {
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "voiceTransfer": {
        "target": "text",
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "agentHandover": {
        "reason": "text",
        "timeoutSeconds": 1,
        "agentId": "text",
        "groupId": "text",
        "assignmentMethod": "text"
      },
      "email": {
        "subject": "text",
        "body": "text",
        "from": "text",
        "to": [
          "text"
        ],
        "cc": [
          "text"
        ],
        "bcc": [
          "text"
        ],
        "attachmentIds": [
          "text"
        ],
        "references": [
          "text"
        ],
        "attachments": [
          {
            "id": "att_123",
            "name": "invoice.pdf",
            "created": "2024-01-01T00:00:00Z",
            "updated": "2024-01-01T00:00:00Z",
            "size": 102400,
            "contentType": "application/pdf",
            "selfLink": "bucketId-objectId/filename.filetype",
            "metadata": {
              "source": "email"
            }
          }
        ]
      },
      "transcription": {
        "text": "text",
        "language": "text",
        "audioRef": "text"
      },
      "textToSpeech": {
        "text": "text",
        "speech": "text"
      },
      "reaction": {
        "reactionToMid": "text",
        "action": "text",
        "reaction": "text",
        "emoji": "text"
      },
      "callSettings": {
        "userInputSpeechDetectionTimeout": 1,
        "dtmf": true,
        "bargeIn": true
      },
      "metaWhatsappTemplate": {
        "templateName": "order_shipped_notification",
        "language": "DE",
        "bodyText": "Your order {{1}} has been shipped.",
        "headerText": "text",
        "footerText": "text",
        "header": {
          "file": {
            "name": "header_image.png",
            "url": "https://storage.example.com/files/header.png",
            "type": "image",
            "mimeType": "image/png",
            "size": 51200,
            "attachmentRef": "att_header123"
          },
          "parameters": [
            "Order #12345"
          ]
        },
        "bodyParameters": [
          "#12345"
        ],
        "buttons": [
          {
            "label": "Track Order",
            "type": "URL",
            "url": "https://example.com/track/{{1}}",
            "value": "track_order"
          }
        ]
      },
      "operator": {
        "operatorId": "op_abc123xyz"
      },
      "delay": 1,
      "leadAiId": "text"
    },
    "tags": [
      "important",
      "follow-up"
    ],
    "error": "text",
    "isSensitive": false,
    "streamGroupId": "stream_abc123",
    "delay": 1000
  },
  "error": "text"
}

Retrieves a specific message

get

Required Permission: chatbots.messages.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The ID of the conversation.

messageIdstringRequired

The Id of the message to retrieve.

Responses
200Success
application/json
errorstringOptional

Optional error message.

get/v1/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}
GET /v1/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "message": {
    "id": "msg_abc123xyz",
    "sender": "bot",
    "type": "text",
    "persona": {
      "image": "https://storage.example.com/avatars/support.png",
      "name": "Support Bot"
    },
    "providerMessageId": "wamid.HBgNNDkxNTEyNjAyNTQ1Ng==",
    "status": "delivered",
    "created": "2025-10-06T12:00:00Z",
    "processed": "2025-10-06T12:00:01Z",
    "sent": "2025-10-06T12:00:02Z",
    "received": "2025-10-06T12:00:03Z",
    "read": "2025-10-06T12:00:10Z",
    "outgoing": true,
    "messengerId": "messenger_abc123",
    "contextId": "ctx_xyz789",
    "content": {
      "text": "text",
      "file": {
        "name": "text",
        "url": "text",
        "type": "text",
        "mimeType": "text",
        "size": 1,
        "attachmentRef": "text",
        "caption": "text",
        "transcript": "text"
      },
      "buttons": {
        "buttons": [
          {
            "label": "text",
            "type": "text",
            "value": "text",
            "payload": "text"
          }
        ]
      },
      "selectedButton": {
        "label": "text",
        "value": "text",
        "payload": "text",
        "type": "text",
        "reference": "text"
      },
      "template": {
        "body": "text",
        "header": "text",
        "footer": "text"
      },
      "contact": {
        "addresses": [
          {
            "city": "text",
            "country": "text",
            "countryCode": "text",
            "street": "text",
            "type": "text",
            "zip": "text"
          }
        ],
        "emails": [
          {
            "email": "name@gmail.com",
            "type": "text"
          }
        ],
        "name": {
          "firstName": "text",
          "formattedName": "text",
          "lastName": "text"
        },
        "org": {
          "company": "text",
          "title": "text"
        },
        "phones": [
          {
            "phone": "text",
            "type": "text",
            "waId": "text"
          }
        ]
      },
      "location": {
        "latitude": 1,
        "longitude": 1
      },
      "note": {
        "text": "text",
        "mentions": [
          "text"
        ]
      },
      "voiceHangup": {
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "voiceTransfer": {
        "target": "text",
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "agentHandover": {
        "reason": "text",
        "timeoutSeconds": 1,
        "agentId": "text",
        "groupId": "text",
        "assignmentMethod": "text"
      },
      "email": {
        "subject": "text",
        "body": "text",
        "from": "text",
        "to": [
          "text"
        ],
        "cc": [
          "text"
        ],
        "bcc": [
          "text"
        ],
        "attachmentIds": [
          "text"
        ],
        "references": [
          "text"
        ],
        "attachments": [
          {
            "id": "att_123",
            "name": "invoice.pdf",
            "created": "2024-01-01T00:00:00Z",
            "updated": "2024-01-01T00:00:00Z",
            "size": 102400,
            "contentType": "application/pdf",
            "selfLink": "bucketId-objectId/filename.filetype",
            "metadata": {
              "source": "email"
            }
          }
        ]
      },
      "transcription": {
        "text": "text",
        "language": "text",
        "audioRef": "text"
      },
      "textToSpeech": {
        "text": "text",
        "speech": "text"
      },
      "reaction": {
        "reactionToMid": "text",
        "action": "text",
        "reaction": "text",
        "emoji": "text"
      },
      "callSettings": {
        "userInputSpeechDetectionTimeout": 1,
        "dtmf": true,
        "bargeIn": true
      },
      "metaWhatsappTemplate": {
        "templateName": "order_shipped_notification",
        "language": "DE",
        "bodyText": "Your order {{1}} has been shipped.",
        "headerText": "text",
        "footerText": "text",
        "header": {
          "file": {
            "name": "header_image.png",
            "url": "https://storage.example.com/files/header.png",
            "type": "image",
            "mimeType": "image/png",
            "size": 51200,
            "attachmentRef": "att_header123"
          },
          "parameters": [
            "Order #12345"
          ]
        },
        "bodyParameters": [
          "#12345"
        ],
        "buttons": [
          {
            "label": "Track Order",
            "type": "URL",
            "url": "https://example.com/track/{{1}}",
            "value": "track_order"
          }
        ]
      },
      "operator": {
        "operatorId": "op_abc123xyz"
      },
      "delay": 1,
      "leadAiId": "text"
    },
    "tags": [
      "important",
      "follow-up"
    ],
    "error": "text",
    "isSensitive": false,
    "streamGroupId": "stream_abc123",
    "delay": 1000
  },
  "error": "text"
}

Updates an existing message

patch

Required Permission: chatbots.messages.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The Id of the conversation.

messageIdstringRequired

The Id of the message to retrieve.

Body
Responses
200Success
application/json
errorstringOptional

Optional error message.

patch/v1/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}
PATCH /v1/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 411

{
  "message": {
    "providerMessageId": "wamid.xyz789",
    "status": "delivered",
    "processed": "2025-10-05T10:10:01Z",
    "sent": "2025-10-05T10:10:02Z",
    "received": "2025-10-05T10:10:03Z",
    "read": "2025-10-05T10:11:00Z",
    "tags": {
      "tags": [
        "important",
        "follow-up"
      ]
    },
    "messengerId": "fb_msg_456",
    "transcript": "Hello, this is a voice message...",
    "deleted": false,
    "error": "text",
    "isSensitive": false,
    "streamGroupId": "stream_def456",
    "delay": 500
  }
}
{
  "message": {
    "id": "msg_abc123xyz",
    "sender": "bot",
    "type": "text",
    "persona": {
      "image": "https://storage.example.com/avatars/support.png",
      "name": "Support Bot"
    },
    "providerMessageId": "wamid.HBgNNDkxNTEyNjAyNTQ1Ng==",
    "status": "delivered",
    "created": "2025-10-06T12:00:00Z",
    "processed": "2025-10-06T12:00:01Z",
    "sent": "2025-10-06T12:00:02Z",
    "received": "2025-10-06T12:00:03Z",
    "read": "2025-10-06T12:00:10Z",
    "outgoing": true,
    "messengerId": "messenger_abc123",
    "contextId": "ctx_xyz789",
    "content": {
      "text": "text",
      "file": {
        "name": "text",
        "url": "text",
        "type": "text",
        "mimeType": "text",
        "size": 1,
        "attachmentRef": "text",
        "caption": "text",
        "transcript": "text"
      },
      "buttons": {
        "buttons": [
          {
            "label": "text",
            "type": "text",
            "value": "text",
            "payload": "text"
          }
        ]
      },
      "selectedButton": {
        "label": "text",
        "value": "text",
        "payload": "text",
        "type": "text",
        "reference": "text"
      },
      "template": {
        "body": "text",
        "header": "text",
        "footer": "text"
      },
      "contact": {
        "addresses": [
          {
            "city": "text",
            "country": "text",
            "countryCode": "text",
            "street": "text",
            "type": "text",
            "zip": "text"
          }
        ],
        "emails": [
          {
            "email": "name@gmail.com",
            "type": "text"
          }
        ],
        "name": {
          "firstName": "text",
          "formattedName": "text",
          "lastName": "text"
        },
        "org": {
          "company": "text",
          "title": "text"
        },
        "phones": [
          {
            "phone": "text",
            "type": "text",
            "waId": "text"
          }
        ]
      },
      "location": {
        "latitude": 1,
        "longitude": 1
      },
      "note": {
        "text": "text",
        "mentions": [
          "text"
        ]
      },
      "voiceHangup": {
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "voiceTransfer": {
        "target": "text",
        "reason": "text",
        "headers": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "agentHandover": {
        "reason": "text",
        "timeoutSeconds": 1,
        "agentId": "text",
        "groupId": "text",
        "assignmentMethod": "text"
      },
      "email": {
        "subject": "text",
        "body": "text",
        "from": "text",
        "to": [
          "text"
        ],
        "cc": [
          "text"
        ],
        "bcc": [
          "text"
        ],
        "attachmentIds": [
          "text"
        ],
        "references": [
          "text"
        ],
        "attachments": [
          {
            "id": "att_123",
            "name": "invoice.pdf",
            "created": "2024-01-01T00:00:00Z",
            "updated": "2024-01-01T00:00:00Z",
            "size": 102400,
            "contentType": "application/pdf",
            "selfLink": "bucketId-objectId/filename.filetype",
            "metadata": {
              "source": "email"
            }
          }
        ]
      },
      "transcription": {
        "text": "text",
        "language": "text",
        "audioRef": "text"
      },
      "textToSpeech": {
        "text": "text",
        "speech": "text"
      },
      "reaction": {
        "reactionToMid": "text",
        "action": "text",
        "reaction": "text",
        "emoji": "text"
      },
      "callSettings": {
        "userInputSpeechDetectionTimeout": 1,
        "dtmf": true,
        "bargeIn": true
      },
      "metaWhatsappTemplate": {
        "templateName": "order_shipped_notification",
        "language": "DE",
        "bodyText": "Your order {{1}} has been shipped.",
        "headerText": "text",
        "footerText": "text",
        "header": {
          "file": {
            "name": "header_image.png",
            "url": "https://storage.example.com/files/header.png",
            "type": "image",
            "mimeType": "image/png",
            "size": 51200,
            "attachmentRef": "att_header123"
          },
          "parameters": [
            "Order #12345"
          ]
        },
        "bodyParameters": [
          "#12345"
        ],
        "buttons": [
          {
            "label": "Track Order",
            "type": "URL",
            "url": "https://example.com/track/{{1}}",
            "value": "track_order"
          }
        ]
      },
      "operator": {
        "operatorId": "op_abc123xyz"
      },
      "delay": 1,
      "leadAiId": "text"
    },
    "tags": [
      "important",
      "follow-up"
    ],
    "error": "text",
    "isSensitive": false,
    "streamGroupId": "stream_abc123",
    "delay": 1000
  },
  "error": "text"
}

Last updated